Subject: Thank you for the quick response and answer!

From: Michael Bartman <[email-masked]>
Date: Fri, 31 Aug 2018 14:41:51 -0400

While the behavior of ignoring parts of the data is unexpected and
confusing, the explanation is clear and useful, and the LC_ALL=C setting
does result in the expected results.  Thank you to all respondents.

The explanation of LC_ALL use in the "sort --help" output could perhaps be
clearer however to reduce the number of future "bug" reports.  Perhaps
something like this:

"The locale specified by the environment affects sort order, and some
locale specifications or defaults may ignore certain characters, such as
punctuation.  If you see unexpected sort output orderings, try setting
LC_ALL=C to get the traditional sort order that uses native byte values."

-- 

*Mike Bartman*
*senior software engineer - platform*

*tel* (415)-578-5222 x492
*email [email-masked]